> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phospho.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Feed For Camera

> Stream video feed of the specified camera. If no camera id is provided, the default camera is used. Specify a target size and quality using query parameters.



## OpenAPI

````yaml get /video/{camera_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /video/{camera_id}:
    get:
      tags:
        - camera
      summary: Video Feed For Camera
      description: >-
        Stream video feed of the specified camera. If no camera id is provided,
        the default camera is used. Specify a target size and quality using
        query parameters.
      operationId: video_feed_for_camera_video__camera_id__get
      parameters:
        - in: path
          name: camera_id
          required: true
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Camera Id
        - in: query
          name: height
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Height
        - in: query
          name: width
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Width
        - in: query
          name: quality
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Quality
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Streaming video feed of the specified camera.
        '404':
          description: Camera not available
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````